#pragma once
#include "gamestate.h"

#include "LDTypes.h"
#include "Unit.h"
#include "Universe.h"



class CGSStars : public CGameState
{

  public:

    Universe::Star*         m_pStarUnderMouse;
    Universe::Star*         m_pSelectedStar;



    CGSStars( Universe::Star* pSelectedStar = NULL );
    virtual ~CGSStars();

    virtual void            Display( IDirect3DDevice8* pDevice );

    virtual void            UpdateFrame( const float fElapsedTime );

    virtual void            OnChar( int iChar );
    virtual void            OnKeyDown( int iChar );
    virtual void            OnMouse( int X, int Y, int Buttons );

};
